Subject: Re: bug#19582: 25.0.50; [PATCH] Calc: glitches with negation of units

From: Jay Belanger <[email-masked]>
Date: Tue, 13 Jan 2015 10:34:46 -0600

>> Since 100 and (float 1 2) aren't the same, that might be a bug of some
>> kind.
>
> Sure, but
>
> (math-equal 100 '(float 1 2)) => t
>
> and (info "(calc) Predicates") states
>
>  -- Function: math-equal x y
>      Returns true if X and Y are numerically equal, either because they
>      are `equal', or because their difference is `zerop'. [...]
>
> so, IIUC, mathematically, they are as equal as it gets in calc.

Ah, right.  But the same calculations on the same objects should produce
results which are equal, not just math-equal.  

> On the other hand, I'm not sure if calculations with (float ...)
> are exact (if possible) in calc ?

Calc will do the exact computations, since internally it uses base 10 to
represents floats.  Of course, the user might not consider (float ...)s
to be exact.